summaryrefslogtreecommitdiff
path: root/misc/kvm/kvm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/kvm/kvm.SlackBuild')
-rw-r--r--misc/kvm/kvm.SlackBuild86
1 files changed, 61 insertions, 25 deletions
diff --git a/misc/kvm/kvm.SlackBuild b/misc/kvm/kvm.SlackBuild
index ebc86a0ee9..8363c0ee5c 100644
--- a/misc/kvm/kvm.SlackBuild
+++ b/misc/kvm/kvm.SlackBuild
@@ -1,13 +1,29 @@
#!/bin/sh
# Slackware build script for kvm
-
+#
# Written by Murat D. Kadirov <banderols@gmail.com>
-# Modified by SlackBuilds.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kvm
-VERSION=${VERSION:-78}
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-85}
+ARCH=i386
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -19,15 +35,25 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SLKCFLAGS="-O2" # Yes, this is intentional
+
# Needed to build man pages if build is ran from su
export PATH=$PATH:/usr/share/texmf/bin
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+bailout() {
+ echo ""
+ echo " You must have a kvm group to run this script. "
+ echo " Something like this should suffice for most systems: "
+ echo " # groupadd -g 221 kvm "
+ echo ""
+ exit 1
+}
+
+# Bail if group isn't valid on your system
+# gid=221 is suggested to avoid conflicts with other SBo packages,
+# but it's your call: http://slackbuilds.org/uid_gid.txt
+if ! grep -q "^kvm:" /etc/group; then
+ bailout
fi
set -e
@@ -50,31 +76,41 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--audio-drv-list="alsa oss" \
- --enable-mixemu
+ --enable-mixemu \
+ --arch=$ARCH \
+ --kerneldir=/lib/modules/${KERNELVERSION}/build
make
make install DESTDIR=$PKG
+cp -a kvm_stat $PKG/usr/bin/
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -r $TMP/$PRGNAM-$VERSION/scripts $PKG/usr/doc/$PRGNAM-$VERSION/
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
+mkdir -p $PKG/lib/udev/rules.d/
+cat scripts/65-kvm.rules > $PKG/lib/udev/rules.d/65-kvm.rules
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Fix up the manpages
-mv $PKG/usr/share/man $PKG/usr/man
-gzip -9 $PKG/usr/man/man?/*.?
+mv $PKG/usr/share/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+find $PKG/usr/man -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a scripts $PKG/usr/doc/$PRGNAM-$VERSION/
+mv $PKG/usr/share/doc/qemu/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
-# Add a udev rule
-mkdir -p $PKG/etc/udev/rules.d/
-cp $PKG/usr/doc/$PRGNAM-$VERSION/scripts/65-kvm.rules \
- $PKG/etc/udev/rules.d/65-kvm.rules
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNELVERSION%" $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERS-$ARCH-$BUILD$TAG.tgz